Problema compilazione

ciao :slight_smile:
perchè quando aggiungo librerie esterne mi da errore sulla libreria wprogram.h?

Se stai usando l'IDE 1.0 di Arduino, allora wprogram.h non esiste e quindi non viene trovato dalla libreria esterna.

Ciao
QP

come faccio a risolvere?

Credo che la via più rapida sia utilizzare l'IDE 022 o 023. Almeno mantieni la compatibilità con le librerie esterne che non sono ancora state aggiornate alla 1.0

Ciao
QP

ok funziona :slight_smile:
grazie 1000! :slight_smile:

Cercati la soluzione nei vecchi post. Si tratta di aggiungere un check in cima alla lib per verificare la versione dell’IDE.

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif